# virtual_shared_object Class Reference

Virtual Shared Object Base Class. More...

`#include <ETL/handle>`

List of all members.

## Public Member Functions

virtual | ~virtual_shared_object ()=0
virtual void | ref () const =0
virtual bool | unref () const =0
virtual int | count () const =0
virtual virtual_shared_object * | clone ()=0

## Protected Member Functions

| virtual_shared_object ()

## Detailed Description

Virtual Shared Object Base Class.

See also:
  handle, loose_handle

Todo:
  This needs to be documented

Definition at line 130 of file _handle.h.

## Constructor & Destructor Documentation

virtual_shared_object::virtual_shared_object | ( |  | ) | `[inline, protected]`

Definition at line 133 of file _handle.h.

virtual virtual_shared_object::~virtual_shared_object | ( |  | ) | `[pure virtual]`

## Member Function Documentation

virtual void virtual_shared_object::ref | ( |  | ) | const`[pure virtual]`

virtual bool virtual_shared_object::unref | ( |  | ) | const`[pure virtual]`

virtual int virtual_shared_object::count | ( |  | ) | const`[pure virtual]`

virtual virtual_shared_object* virtual_shared_object::clone | ( |  | ) | `[pure virtual]`

The documentation for this class was generated from the following file:

- _handle.h